# Uses of Interface
org.opensaml.saml.saml2.metadata.GivenName

Packages that use GivenName
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of GivenName in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return GivenName
Modifier and Type
Method
Description
`GivenName`
ContactPerson.`getGivenName()`
Gets the given name for this person.
Methods in org.opensaml.saml.saml2.metadata with parameters of type GivenName
Modifier and Type
Method
Description
`void`
ContactPerson.`setGivenName(GivenName name)`
Sets the given name for this person.

## Uses of GivenName in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement GivenName
Modifier and Type
Class
Description
`class`
`GivenNameImpl`
Concrete implementation of `GivenName`.
Fields in org.opensaml.saml.saml2.metadata.impl declared as GivenName
Modifier and Type
Field
Description
`private GivenName`
ContactPersonImpl.`givenName`
GivenName child objectobject.
Methods in org.opensaml.saml.saml2.metadata.impl that return GivenName
Modifier and Type
Method
Description
`GivenName`
GivenNameBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`GivenName`
GivenNameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`GivenName`
ContactPersonImpl.`getGivenName()`
Gets the given name for this person.
Methods in org.opensaml.saml.saml2.metadata.impl with parameters of type GivenName
Modifier and Type
Method
Description
`void`
ContactPersonImpl.`setGivenName(GivenName name)`
Sets the given name for this person.